Console

Decide Approval

POST
/api/approvals/{approval_id}/{action}

Approve (the gateway then executes the held action) or reject it. Both are sealed.

Authorization

HTTPBasic
AuthorizationBasic <token>

In: header

Path Parameters

approval_id*string

Id of the pending approval for this action

action*string

approve or reject

Value in

  • "approve"
  • "reject"

Request Body

application/json

ApprovalBody object

note?string

Optional reason, sealed into the ledger with the decision

Default""

Response Body

application/json

application/json

curl -X POST "https://example.com/api/approvals/string/approve" \  -H "Content-Type: application/json" \  -d '{}'
{  "status": "approved",  "decision": {    "outcome": "allow",    "reason": "string",    "approval_id": "string",    "result": {},    "ledger_entry_id": 0  }}